
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f1f1f1;
}

.container {
  width: 100%;
  max-width: 400px;
  padding: 20px;
}

.login-box {
    margin-top:40%;
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width:100%;
}

.login-box h2 {
        margin: 0 0 15px;
        padding: 0;
        color: #202D65;
        text-align: center;
        text-transform: uppercase;
}

.user-box {
  position: relative;
  margin-bottom: 30px;
}

.user-box input {
        width: 100%;
        padding: 10px 0;
        font-size: 16px;
        color: #202D65;
        margin-bottom: 30px;
        border: none;
        border-bottom: 2px solid #202D65;
        outline: none;
        background: transparent;
}

    .user-box label {
        position: absolute;
        top: 0;
        left: 0;
        padding: 10px 0;
        font-size: 16px;
        color: #202D65;
        pointer-events: none;
        transition: 0.5s;
    }

.user-box input:focus ~ label,
.user-box input:valid ~ label {
        transform: translateY(-20px);
        font-size: 14px;
        color: #808080;
}

button , button:visited, button :active ,button :focus {
    display: inline-block;
    background-color: #fff;
    color: #202D65;
    border:1px solid  #202D65;
    padding: 10px 20px;
    font-size: 16px;
    text-transform: uppercase;
    text-decoration: none;
    position: relative;
    overflow: hidden;
    transition: 0.5s;
    letter-spacing: 2px;
    border-radius: 5px;
}

button:hover {
        background-color: #202D65;
        color: #fff;
        border: 1px solid #202D65;
}

button span {
        position: absolute;
        display: block;
}

button span:nth-child(1) {
            top: 0;
            left: -100%;
            width: 100%;
            height: 2px;
            background-color: #333;
            animation: animate1 1s linear infinite;
}

.validation{
    color :red;
}

@keyframes animate1 {
  0% {
    left: -100%;
  }
  50%,
  100% {
    left: 100%;
  }
}

button span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background-color: #333;
    animation: animate2 1s linear infinite;
    animation-delay: 0.25s;
}

@keyframes animate2 {
  0% {
    top: -100%;
  }
  50%,
  100% {
    top: 100%;
  }
}

button span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background-color: #333;
    animation: animate3 1s linear infinite;
    animation-delay: 0.5s;
}

@keyframes animate3 {
  0% {
    right: -100%;
  }
  50%,
  100% {
    right: 100%;
  }
}

button span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background-color: #333;
    animation: animate4 1s linear infinite;
    animation-delay: 0.75s;
}

@keyframes animate4 {
  0% {
    bottom: -100%;
  }
  50%,
  100% {
    bottom: 100%;
  }
}

.password-toggle-icon {
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
  cursor: pointer;
}

    .password-toggle-icon i {
        font-size: 18px;
        line-height: 1;
        color: #202D65;
        transition: color 0.3s ease-in-out;
        margin-bottom: 35px;
    }

        .password-toggle-icon i:hover {
            color: #808080;
        }